Pular para o conteúdo

Get an identity by ID (v2) - Legacy

Requisição

Retrieve a specific identity by ID. If version is not provided, the latest version is returned.

Segurança
Bearer
Caminho
identity-idstringobrigatório

The ID of the identity to retrieve.

Exemplo:146f3c51-c313-47ce-b6f2-691c5a238b3e
Consulta
versioninteger, >= 1

Specific version to retrieve. If omitted, returns the latest version.

Exemplo:version=2
curl -i -X GET \
  'https://docs.ripple.com/_mock/pt-br/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/v2/identities/146f3c51-c313-47ce-b6f2-691c5a238b3e?version=2' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Respostas

Identity details.

Corpoapplication/json
identityIdstringobrigatório

The unique ID of the identity

Exemplo:"2f4ac57f-c5ba-4051-b51f-b3565778717b"
identityTypestringobrigatório

The type of the identity

Enum ValueDescription
BENEFICIARY

Identity associated with the beneficiary.

ORIGINATOR

Identity associated with the party originating the payment.

Exemplo:"BENEFICIARY"
createdAtstring, (date-time)obrigatório

The time at which the identity was created

Exemplo:"2023-11-02T18:26:00.000Z"
identityStatestringobrigatório

Lifecycle state of the identity: • ACTIVE - The identity exists and can be used. • BLOCKED - The identity exists but is restricted from use. • DEACTIVATED - The identity is inactive and cannot be used for new payments.

Enum:"ACTIVE""BLOCKED""DEACTIVATED"
Exemplo:"ACTIVE"
nickNamestring

The nickname for the identity provided at the time of identity creation

Exemplo:"MyCompany"
piiDataobjectobrigatório

PII data in JSON format

versionintegerobrigatório

The version number of the identity

Exemplo:2
useCaseTypestringobrigatório

Classification of the identity: • INDIVIDUAL - A natural person. • BUSINESS - A legal entity such as a company or institution.

Enum:"INDIVIDUAL""BUSINESS"
Exemplo:"BUSINESS"
Resposta
{ "identityId": "2f4ac57f-c5ba-4051-b51f-b3565778717b", "identityType": "BENEFICIARY", "createdAt": "2023-11-02T18:26:00.000Z", "identityState": "ACTIVE", "nickName": "MyCompany", "piiData": {}, "version": 2, "useCaseType": "BUSINESS" }